from gcs_migration.parsers import CephConfig


def test_ceph_parser(
    ceph_host_name: str,
    ceph_use_https: bool,
    ceph_rgw_admin_access_key_id: str,
    ceph_rgw_admin_secret_access_key: str,
    ceph_rgw_admin_bucket: str,
    ceph_config_file: str,
):
    config = CephConfig()
    assert config.host_name == ceph_host_name
    assert config.use_https == ceph_use_https
    assert config.ceph_rgw_admin_access_key_id == ceph_rgw_admin_access_key_id
    assert config.ceph_rgw_admin_access_key_id == ceph_rgw_admin_access_key_id
    assert config.ceph_rgw_admin_secret_access_key == ceph_rgw_admin_secret_access_key
    assert config.ceph_rgw_admin_bucket == ceph_rgw_admin_bucket
